GET
Get margin risk settings
Returns the margin risk settings for the specified account.
Path Params
-
accountIdstring requiredThe ID of the account
Responses
200
Margin risk settings
Response Body
object
-
totalShortPositionLimitobjectQuantity representing the total NOP limit across all currencies. It sets a limit that is compared to the total short position across all currencies (eg. 1000000). Currency represents the currency that the quantity is valued in (eg. USD)totalShortPositionLimit object
-
quantitystring decimal requiredThe specified quantity. -
currencystring requiredThe specified quantity currency.
-
-
marginCallPercentagestringNumber representing the percentage at which a margin call will be initiated if the margin percentage falls below this number. It is in decimal form (eg. 0.8 to mean 80%) -
liquidationThresholdPercentagestringNumber representing the liquidation threshold percentage at which positions will be automatically liquidated if the margin utilization exceeds this level. It is in decimal form (eg. 1.2 to mean 120%) -
marginRequirementPercentagestringNumber representing the margin requirement percentage which is used with the NOP to determine the margin required. It is in decimal form (eg.0.2 for 20%) -
minimumTransferredCollateralobjectQuantity representing the minimum transferred collateral value required for margin trading. Currency represents the currency that the quantity is valued in (eg. USD)minimumTransferredCollateral object
-
quantitystring decimal requiredThe specified quantity. -
currencystring requiredThe specified quantity currency.
-
401
Unauthorized - Invalid or missing authentication
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
403
Forbidden - Insufficient permissions
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-
500
Internal Server Error
Response Body
object
-
errorstring required -
errorNamestring required -
reqIdstring required -
contextobjectOptional structured metadata for REST validation failures. The schema is fixed for client contract stability.context object
-
errorNamestring requiredSame value as the top-level errorName. -
fieldstringRequest field associated with the validation failure. -
messagestringHuman-readable field-level validation message.
-